﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WG_XmlColumn
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            var xml = File.ReadAllText(@"..\..\SwfConfig.xml");

            DataTable dt = new DataTable();
            dt.Columns.Add("ID",typeof(int)).AutoIncrement = true;
            dt.Columns.Add("XML", typeof(string));

            dt.Rows.Add(new object[] { null, xml });

            ultraGrid1.DataSource = dt;
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            ultraGrid1.DisplayLayout.Override.DefaultRowHeight = 500;
            ultraGrid1.DisplayLayout.Override.CellMultiLine = Infragistics.Win.DefaultableBoolean.True;
        }
    }
}
